{
  "name": "minmon",
  "private": true,
  "workspaces": {
    "packages": [
      "apps/*",
      "packages/*"
    ],
    "catalog": {
      "dotenv": "^17.2.2",
      "zod": "^4.1.13",
      "typescript": "^6",
      "@types/bun": "^1.3.4",
      "elysia": "^1.4.28",
      "@trpc/server": "^11.16.0",
      "better-auth": "1.5.5",
      "drizzle-orm": "^0.45.1",
      "effect": "^3.18.4",
      "next-themes": "^0.4.6",
      "@trpc/client": "^11.16.0",
      "@types/react-dom": "^19.2.3"
    }
  },
  "type": "module",
  "scripts": {
    "dev": "turbo dev",
    "build": "turbo build",
    "check-types": "turbo check-types",
    "dev:web": "turbo -F web dev",
    "dev:desktop": "turbo -F desktop dev:hmr",
    "build:desktop": "turbo -F desktop build:stable",
    "build:desktop:canary": "turbo -F desktop build:canary",
    "dev:server": "turbo -F server dev",
    "db:push": "turbo -F @minmon/db db:push",
    "db:studio": "turbo -F @minmon/db db:studio",
    "db:generate": "turbo -F @minmon/db db:generate",
    "db:migrate": "turbo -F @minmon/db db:migrate",
    "db:start": "turbo -F @minmon/db db:start",
    "db:watch": "turbo -F @minmon/db db:watch",
    "db:stop": "turbo -F @minmon/db db:stop",
    "db:down": "turbo -F @minmon/db db:down"
  },
  "dependencies": {
    "@minmon/env": "workspace:*",
    "dotenv": "catalog:",
    "zod": "catalog:"
  },
  "devDependencies": {
    "@minmon/config": "workspace:*",
    "@types/bun": "catalog:",
    "turbo": "^2.8.12",
    "typescript": "catalog:"
  },
  "packageManager": "bun@1.3.12"
}
